# Interface methods for submodule: ImageToImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterCommonProxy as _ImageToImageFilterCommonProxy, ImageSourceProxy as _ImageSourceProxy


# Interface methods for class: ImageToImageFilter
class ImageToImageFilterProxy(_ImageToImageFilterCommonProxy, _ImageSourceProxy):
	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetInput(self, input) -> None:
		""""""
		...

	@overload
	def SetInput(self, arg0: int, image) -> None:
		""""""
		...

	@overload
	def GetInput(self):
		""""""
		...

	@overload
	def GetInput(self, idx: int):
		""""""
		...

	def PushBackInput(self, input) -> None:
		""""""
		...

	def PopBackInput(self) -> None:
		""""""
		...

	def PushFrontInput(self, input) -> None:
		""""""
		...

	def PopFrontInput(self) -> None:
		""""""
		...

	def SetCoordinateTolerance(self, _arg: float) -> None:
		""""""
		...

	def GetCoordinateTolerance(self) -> float:
		""""""
		...

	def SetDirectionTolerance(self, _arg: float) -> None:
		""""""
		...

	def GetDirectionTolerance(self) -> float:
		""""""
		...

